--- title: "Get category status list" slug: "vodstation-status-list" tags: ["VOD Station"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/vodstation-status-list" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get category status list Available in Classic and VPC Get the encoding status list by category. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/status | ### Request headers For information about the headers common to all VOD Station APIs, see [VOD Station request headers](/docs/en/vodstation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request parameters The following describes the request parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number - 1-N (default: 1) | | `pageSizeNo` | Integer | Optional | Number of items per page - 10-N (default: 20) | | `workStartTimeFrom` | Integer | Optional | Query start date and time (millisecond) - Unix timestamp format | | `workStartTimeTo` | Integer | Optional | Query end date and time (millisecond) - Unix timestamp format | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vodstation.apigw.ntruss.com/api/v2/status?pageNo=1&pageSizeNo=20&workStartTimeFrom=1755590820000&workStartTimeTo=1755591000000' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Array | - | Category encoding status list: [content](/docs/en/vodstation-status-list#content) | | `total` | Integer | - | Total response count | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `categoryId` | Integer | - | Category ID | | `categoryName` | String | - | Category name | | `filePath` | String | - | Detailed bucket path of the input file including the file name | | `outputType` | String | - | Output type | | `link` | String | - | HTTP URL path of the output file including the file name | | `outputTotalSize` | Long | - | Size of output file (byte) | | `lastWorkTime` | String | - | Last job date and time - ISO 8601 format | | `status` | String | - | File encoding status - `COMPLETE` \| `WAITING` \| `RUNNING` \| `FAILURE` \| `CANCELED` - `COMPLETE`: Completed - `WAITING`: Pending - `RUNNING`: In progress - `FAILURE`: Failed - `CANCELED`: Canceled | | `percent` | Float | - | File encoding progress (%) | ### Response status codes For information about the HTTP status codes common to all VOD Station APIs, see [VOD Station response status codes](/docs/en/vodstation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": [ { "categoryId": *****, "categoryName": "VOD-Category", "filePath": "VODStation.mp4", "outputType": "AVC_HD_1Pass_30fps", "link": "https://kr.object.ncloudstorage.com/station-000/VOD-Category/VODStation_AVC_HD_1Pass_30fps.mp4", "outputTotalSize": 1831292, "lastWorkTime": "2025-08-19T17:08:03+0900", "status": "COMPLETE", "percent": 100.0 }, { "categoryId": *****, "categoryName": "VOD-Category", "filePath": "VODStation.mp4", "outputType": "AVC_SD_1Pass_30fps_1", "link": "https://kr.object.ncloudstorage.com/station-000/VOD-Category/VODStation_AVC_SD_1Pass_30fps_1.mp4", "outputTotalSize": 986818, "lastWorkTime": "2025-08-19T17:08:03+0900", "status": "COMPLETE", "percent": 100.0 }, { "categoryId": *****, "categoryName": "VOD-Category", "filePath": "VODStation.mp4", "outputType": "AVC_SD_1Pass_30fps", "link": "https://kr.object.ncloudstorage.com/station-000/VOD-Category/VODStation_AVC_SD_1Pass_30fps.mp4", "outputTotalSize": 601601, "lastWorkTime": "2025-08-19T17:08:03+0900", "status": "COMPLETE", "percent": 100.0 } ], "total": 3 } ```